Subject: Re: linux-next: build failure after merge of the arm-perf tree

From: Ilkka Koskinen <[email-masked]>
Date: Mon, 9 Oct 2023 22:45:18 -0700 (PDT)

Hi Stephen,

On Mon, 9 Oct 2023, Stephen Rothwell wrote:
> Hi all,
>
> After merging the arm-perf tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
>
> drivers/perf/arm_cspmu/ampere_cspmu.c: In function 'ampere_cspmu_set_ev_filter':
> drivers/perf/arm_cspmu/ampere_cspmu.c:164:9: error: implicit declaration of function 'writel' [-Werror=implicit-function-declaration]
>  164 |         writel(threshold, cspmu->base0 + PMAUXR0);
>      |         ^~~~~~
> cc1: all warnings being treated as errors
>
> Caused by commit
>
>  290a9c0e55f8 ("perf: arm_cspmu: ampere_cspmu: Add support for Ampere SoC PMU")
>
> I have used the arm-perf tree from next-20231009 for today.

Thanks for catching the bug! It doesn't seem to happen on arm64 build but 
I can reproduce it on x86_64 build indeed.

Will, it seems that "#include <linux/io.h>" is missing from 
ampere_cspmu.c. After that also x86_64 build goes through. How would you 
like to get the bug fixed? Shall I submit a new version of the patch, and 
you would replace the old patch with the new one or is it better to
create a completely new patch that only adds the missing include line?

Cheers, Ilkka